### Method

# GdkX11.X11Display.utf8_to_compound_text

#### Declaration [src]

    gboolean
    gdk_x11_display_utf8_to_compound_text (
      GdkDisplay* display,
      const char* str,
      const char** encoding,
      int* format,
      guchar** ctext,
      int* length
    )

#### Description [src]

Converts from UTF-8 to compound text.

#### Parameters

`str` | `const char*`
| a UTF-8 string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`encoding` | `const char**`
| location to store resulting encoding
| Direction: out
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`format` | `int*`
| location to store format of the result
| Direction: out
| Ownership of the data is transferred to the callee
`ctext` | An array of `guchar*`
| location to store the data of the result
| Direction: out
| The length of the array is in the `length` argument
| Ownership of the data is transferred to the callee
`length` | `int*`
| location to store the length of the data stored in `ctext`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the conversion succeeded, otherwise `FALSE`